For the complete documentation index, see llms.txt. This page is also available as Markdown.

Radius Auto Info

Get Auto Info

get

Retrieve information about MFA Radius Auto Info List.

Path parameters
idinteger · int32Required

The ID of a MFA for which to retrieve the MFA Radius Auto Info List.

Responses
200

Success

application/json; api-version=1.0

MFA Radius Auto Info Settings

idinteger · int32Optional

ID of the object.

priorityinteger · int32Optional

Priority of the object.

autoSendbooleanOptional

Whether the RADIUS Automation autoSend is enabled or not

commandstring · nullableOptional

RADIUS Automation command

enabledbooleanOptional

Whether RADIUS Automation is enabled/disabled

imagestring · enumOptional

Image Type

Possible values:
descriptionstring · nullableOptional

RADIUS Description

actionMessagestring · nullableOptional

RADIUS Action Message

titlestring · nullableOptional

RADIUS Automation title

get/api/MFA/{id}/RadiusAutoInfo

Add Auto Info

post

Add a new Radius Auto Info to a site.

Path parameters
idinteger · int32Required

MFA settings

Body

Add a Gateway IP exclusion to Multi-factor authentication settings

commandstring · max: 100 · nullableRequired

RADIUS Automation command

enabledbooleanOptional

Whether the RADIUS Automation is enabled/disabled

imagestring · enumOptional

Image Type

Possible values:
titlestring · max: 20 · nullableRequired

RADIUS Automation title

actionMessagestring · max: 255 · nullableOptional

RADIUS Automation action message

descriptionstring · nullableOptional

RADIUS Automation description

Responses
201

Created

application/json; api-version=1.0

MFA Radius Auto Info Settings

idinteger · int32Optional

ID of the object.

priorityinteger · int32Optional

Priority of the object.

autoSendbooleanOptional

Whether the RADIUS Automation autoSend is enabled or not

commandstring · nullableOptional

RADIUS Automation command

enabledbooleanOptional

Whether RADIUS Automation is enabled/disabled

imagestring · enumOptional

Image Type

Possible values:
descriptionstring · nullableOptional

RADIUS Description

actionMessagestring · nullableOptional

RADIUS Action Message

titlestring · nullableOptional

RADIUS Automation title

post/api/MFA/{id}/RadiusAutoInfo

Update Auto Info

put

Update Radius Auto Info from a site.

Path parameters
idinteger · int32Required

The ID of a MFA to update a RadiusAutoInfo from the site.

radiusautoidinteger · int32Required

The ID of a RadiusAutoInfo to update.

Body
autoSendboolean · nullableOptional

Whether the RADIUS Automation autoSend is enabled or not

commandstring · max: 100 · nullableOptional

RADIUS Automation command

enabledboolean · nullableOptional

Whether the RADIUS Automation is enabled/disabled

imagestring · enumOptional

Image Type

Possible values:
descriptionstring · nullableOptional

RADIUS Automation description

actionMessagestring · max: 255 · nullableOptional

RADIUS Automation action message

newTitlestring · max: 20 · nullableOptional

RADIUS Automation title

prioritystring · enumOptional

Move Direction.

Possible values:
Responses
204

No Content

No content

put/api/MFA/{id}/RadiusAutoInfo/{radiusautoid}

No content

Delete Auto Info

delete

Delete a Radius Auto Info from a site.

Path parameters
idinteger · int32Required

The ID of a MFA to remove a RadiusAutoInfo from the site.

radiusautoidinteger · int32Required

The ID of a RadiusAutoInfo to remove from the site.

Responses
204

No Content

No content

delete/api/MFA/{id}/RadiusAutoInfo/{radiusautoid}

No content

Last updated